apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: backend
  namespace: control-plane
  annotations:
    cert-manager.io/cluster-issuer: letsencrypt-prod
    kubernetes.io/ingress.class: nginx
spec:
  tls:
  - hosts:
    - api.fuq.tv
    secretName: backend-tls
  rules:
  - host: api.fuq.tv
    http:
      paths:
      - path: /
        pathType: Prefix
        backend:
          service:
            name: backend
            port:
              number: 3000
